$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.3.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.3.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '6D6835387B2B54B4C6DD9B316962B96B5697EDE85B85F3B046089763B75DD2FF'
  checksumType = 'sha256'
  checksum64 = '6D6835387B2B54B4C6DD9B316962B96B5697EDE85B85F3B046089763B75DD2FF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
